Update holdout by id

posthttps://statsigapi.net/console/v1/holdouts/{id}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Body

application/json
isEnabledbooleanrequired

enable or disable the holdout

Example:true
descriptionstringrequired

brief summary of what the holdout is being used for

Example:example holdout description
Constraints:max length: 1000
passPercentagenumberrequired

percentage of users between 0-10% to pass through the holdout

Example:5
Constraints:format: doublemin: 0max: 10
gateIDsstring[]required

an array of gateIDs which this holdout is applied to

Example:["4pjeXYDjC2WinSgOiII7wh"]
experimentIDsstring[]required

an array of experimentIDs which this holdout is applied to

Example:["70fCNphHGesdLwHdHau99q"]
layerIDsstring[]required

an array of layerIDs which this holdout is applied to

Example:["5O908pyGoCqw6QH1nt8v82"]
isGlobalbooleanrequired

whether the holdout is being applied to all new gates

Example:false
targetingGateIDstringrequired

the gateID that the holdout is targeting

Example:4pjeXYDjC2WinSgOiII7wh
Constraints:nullable
monitoringMetricsobject[]
Show child attributes
namestringrequired
typestringrequired

Response

application/json
200· Update holdout response
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
idstringrequired

ID

namestring

Optional name for the configuration.

idTypestringrequired

type of id

descriptionstringrequired

brief summary of what the holdout is being used for

Example:example holdout description
Constraints:max length: 1000
lastModifierIDstringrequired

ID of the last modifier.

Constraints:nullable
lastModifiedTimenumberrequired

Time of the last modification.

Constraints:format: doublenullable
lastModifierEmailstringrequired

Email of the last modifier.

Constraints:nullable
lastModifierNamestringrequired

Name of the last modifier.

Constraints:nullable
creatorIDstringrequired

ID of the user who created the entity.

Constraints:nullable
createdTimenumberrequired

Timestamp when the entity was created.

Constraints:format: double
creatorNamestringrequired

Name of the creator.

Constraints:nullable
creatorEmailstringrequired

Email of the creator.

Constraints:nullable
tagsstring[]

Optional tags for categorization.

targetAppsstring[]

List of target applications associated with this configuration.

holdoutIDsstring[]

Holdouts applied to this configuration.

teamstring

Optional name for the responsible team.

Constraints:nullable
teamIDstring

Optional ID of the responsible team.

Constraints:nullable
versionnumber

Version number

Constraints:format: double
permalinkstringrequired

A permalink to this holdout in the Statsig Console.

Constraints:format: uri
isEnabledbooleanrequired

enable or disable the holdout

Example:true
passPercentagenumberrequired

percentage of users between 0-10% to pass through the holdout

Example:5
Constraints:format: doublemin: 0max: 10
gateIDsstring[]required

an array of gateIDs which this holdout is applied to

Example:["4pjeXYDjC2WinSgOiII7wh"]
experimentIDsstring[]required

an array of experimentIDs which this holdout is applied to

Example:["70fCNphHGesdLwHdHau99q"]
layerIDsstring[]required

an array of layerIDs which this holdout is applied to

Example:["5O908pyGoCqw6QH1nt8v82"]
isGlobalbooleanrequired

whether the holdout is being applied to all new gates

Example:false
targetingGateIDstringrequired

the gateID that the holdout is targeting

Example:4pjeXYDjC2WinSgOiII7wh
Constraints:nullable
monitoringMetricsobject[]
namestringrequired
typestringrequired
400· Name is already in use
statusintegerrequired
Allowed values:400
messagestringrequired
401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
Allowed values:401
messagestringrequired
404· Not Found. The requested resource could not be found.
statusintegerrequired
Allowed values:404
messagestringrequired

Was this helpful?